"""
Experimental GUI based on gtk widgets.
"""
import threading
import traceback
import time
import sys

import os
from os.path import join
from syslog import syslog

def cleannmconf():
    syslog("lxm_network_management::cleannmconf")
    

    with open("/etc/NetworkManager/NetworkManager.conf", "r") as input_file:
        content=input_file.read()
    input_file.close()
    syslog("    cleannmconf --- \n"+content+"\n")
    unmanagedstring="unmanaged-devices"
    if unmanagedstring in content:
        pos=content.find(unmanagedstring)
        posend=content.find("\n", pos, -1)
        syslog("    cleannmconf --- found \n" + "pos: " + str(pos) + " posend: " + str(posend))
        with open("/etc/NetworkManager/NetworkManager.conf", "w") as output_file:
            if posend > 0:
                revisedcontent=content[:pos]+content[(posend+1):]
                syslog("    cleannmconf --- posend > 0")
            else:
                revisedcontent=content[:pos]+content[(posend):]
                syslog("    cleannmconf --- posend else")
            content=output_file.write(revisedcontent)
        output_file.close()       
    with open("/etc/NetworkManager/NetworkManager.conf", "r") as input_file:
        content=input_file.read()
    input_file.close()
    syslog("    cleannmconf --- verify: \n"+content+"\n")

    syslog("    lxm_network_management::cleannmconf")

def main():
    """
    Main entry point.
    :return: None.
    """
    syslog("lxm_uninstall --- main entered\n")
    cleannmconf()
    syslog("    lxm_uninstall\n")


# Entry point - jump to main() if this is invoked as a top-level script.
if __name__ == "__main__":
    main()
